OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_SpecifiedHigherUsageOccurrence Class Reference

Representation of STEP entity SpecifiedHigherUsageOccurrence
.

`#include <StepRepr_SpecifiedHigherUsageOccurrence.hxx>`

Inheritance diagram for StepRepr_SpecifiedHigherUsageOccurrence:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_SpecifiedHigherUsageOccurrence ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Id, const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Name, const Standard_Boolean hasProductDefinitionRelationship_Description, const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Description, const Handle(StepBasic_ProductDefinition)&aProductDefinitionRelationship_RelatingProductDefinition, const Handle(StepBasic_ProductDefinition)&aProductDefinitionRelationship_RelatedProductDefinition, const Standard_Boolean hasAssemblyComponentUsage_ReferenceDesignator, const Handle(TCollection_HAsciiString)&aAssemblyComponentUsage_ReferenceDesignator, const Handle(StepRepr_AssemblyComponentUsage)&aUpperUsage, const Handle(StepRepr_NextAssemblyUsageOccurrence)&aNextUsage)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepRepr_AssemblyComponentUsage | UpperUsage () const
| Returns field UpperUsage .
Standard_EXPORT void | SetUpperUsage (const Handle(StepRepr_AssemblyComponentUsage)&UpperUsage)
| Set field UpperUsage .
Standard_EXPORT Handle_StepRepr_NextAssemblyUsageOccurrence | NextUsage () const
| Returns field NextUsage .
Standard_EXPORT void | SetNextUsage (const Handle(StepRepr_NextAssemblyUsageOccurrence)&NextUsage)
| Set field NextUsage .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepRepr_AssemblyComponentUsage | theUpperUsage
Handle_StepRepr_NextAssemblyUsageOccurrence | theNextUsage

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_SpecifiedHigherUsageOccurrence::StepRepr_SpecifiedHigherUsageOccurrence | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_SpecifiedHigherUsageOccurrence::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_AssemblyComponentUsage.

Standard_EXPORT void StepRepr_SpecifiedHigherUsageOccurrence::Init | ( | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Id,
|  | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Name,
|  | const Standard_Boolean | hasProductDefinitionRelationship_Description,
|  | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Description,
|  | const Handle(StepBasic_ProductDefinition)& | aProductDefinitionRelationship_RelatingProductDefinition,
|  | const Handle(StepBasic_ProductDefinition)& | aProductDefinitionRelationship_RelatedProductDefinition,
|  | const Standard_Boolean | hasAssemblyComponentUsage_ReferenceDesignator,
|  | const Handle(TCollection_HAsciiString)& | aAssemblyComponentUsage_ReferenceDesignator,
|  | const Handle(StepRepr_AssemblyComponentUsage)& | aUpperUsage,
|  | const Handle(StepRepr_NextAssemblyUsageOccurrence)& | aNextUsage
| ) |

Standard_EXPORT Handle_StepRepr_NextAssemblyUsageOccurrence StepRepr_SpecifiedHigherUsageOccurrence::NextUsage | ( |  | ) | const

Standard_EXPORT void StepRepr_SpecifiedHigherUsageOccurrence::SetNextUsage | ( | const Handle(StepRepr_NextAssemblyUsageOccurrence)& | NextUsage | ) |

Standard_EXPORT void StepRepr_SpecifiedHigherUsageOccurrence::SetUpperUsage | ( | const Handle(StepRepr_AssemblyComponentUsage)& | UpperUsage | ) |

Standard_EXPORT Handle_StepRepr_AssemblyComponentUsage StepRepr_SpecifiedHigherUsageOccurrence::UpperUsage | ( |  | ) | const

## Field Documentation

Handle_StepRepr_NextAssemblyUsageOccurrence StepRepr_SpecifiedHigherUsageOccurrence::theNextUsage`[private]`

Handle_StepRepr_AssemblyComponentUsage StepRepr_SpecifiedHigherUsageOccurrence::theUpperUsage`[private]`

The documentation for this class was generated from the following file:

- StepRepr_SpecifiedHigherUsageOccurrence.hxx